/*
 *  Author:     Alan Taran
 *  Class:      JavaScript 2
 *  Project:    Final Exam
 *  Date:       March 2016
*/


var recentSearchKey = "MyRecentSearchItems";


$(document).ready(function() {
    
    // Tipue Search
    $('#tipue_search_input').tipuesearch({
        'mode': 'live',
        'liveDescription': '.header'
    });
    
    
    // capture recent search
    var searchText = $('#tipue_search_input').val();


    // get stored search items
    var recentSearches;
    if (localStorage.getItem(recentSearchKey) !== null) {
        recentSearches = JSON.parse(localStorage.getItem(recentSearchKey));
    } else {
        recentSearches = new Array();
    }
    
    // update search items and store
    if (searchText.length > 0 && searchText !== recentSearches[0]) {
        if (recentSearches.length > 4) {
            recentSearches.pop();
        }
        recentSearches.unshift(searchText);
        var jsonString = JSON.stringify(recentSearches);
        localStorage.setItem(recentSearchKey, jsonString);
    }   
    
    // show recent searches
    var getIndex = 0;
    var htmlText = "";
    for (ix in recentSearches) {
        htmlText += '<li><button type="button" onclick="getPastSearch('+ getIndex++ + ')">' +
                     recentSearches[ix] + '</button></li>';
    }
    $("#recentsearches").html(htmlText);
});



function getPastSearch(index) {
    var searchItems = JSON.parse(localStorage.getItem(recentSearchKey));
    
    if (searchItems.length > index) {
        // reload user selected recent search item text
        $('#tipue_search_input').val(searchItems[index]);
        // force search        
        $('#tipue_search_input').trigger({type: 'keyup', which: 13, keyCode: 13});
    }
}
